ambari-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Yu, Tao" <Ta...@aware.com>
Subject RE: Can Service package file name be changed?
Date Mon, 09 Mar 2015 17:38:02 GMT
Thanks Joshi!

What I want is to install my custom storm RPM, so I removed the default storm-0.9.1.2.1.7.0-784.el6.noarch.rpm,
and put my custom RPM in my local repo.

1.       If I put the default RPM storm-0.9.1.2.1.7.0-784.el6.noarch.rpm back to local repo,
the installation succeeds without problem.

2.       The Error only occurs when I put my custom RPM and remove the default one. So I guess
somewhere the default configuration specifies the package name, and when "Installation wizard"
does not find the package in local repo, it fails.

Do you (or any one) know where the package names are possibly configured?

From: Joshi Omkar [mailto:omkar.joshi@scania.com]
Sent: Monday, March 09, 2015 11:49 AM
To: user@ambari.apache.org
Subject: RE: Can Service package file name be changed?

While I didn't try any custom rpm, I had got a similar error with the local repo. and I did
the following steps(you need to first establish that the issue is really with the custom rpm
or elsewhere) :


1.      From logs, find the exact command for which rpm its failing(in ur case, I guess its
storm-0.9.2.1.0-784.el6.noarch.rpm)

2.      Ensure from the Apache or the other server which is hosting the repos, ur are able
to access via browser

3.      Try executing the failed command manually from the shell. In my case, one rpm got
installed manually but the failed ones gave a timeout error. For that I increased the timeout
in yum config and the errors vanished

From: Yu, Tao [mailto:TaoYu@aware.com]<mailto:[mailto:TaoYu@aware.com]>
Sent: den 9 mars 2015 16:40
To: user@ambari.apache.org<mailto:user@ambari.apache.org>
Subject: Can Service package file name be changed?

Hi,

I am trying to install HDP2.1 cluster via Ambari UI "install wizard", but with my own customized
Storm installation package v0.9.2, instead of the default v0.9.1.  I have downloaded and put
all RPM packages on my local repository, and replace the default storm-0.9.1.2.1.7.0-784.el6.noarch.rpm
with my own storm-0.9.2.1.0-784.el6.noarch.rpm.

The installation fails with error:

Fail: Execution of '/usr/bin/yum -d 0 -e 0 -y install storm' returned 1. Error Downloading
Packages:
  storm-0.9.1.2.1.7.0-784.el6.noarch: failure: storm/storm-0.9.1.2.1.7.0-784.el6.noarch.rpm
from ASTRA-2.1: [Errno 256] No more mirrors to try

Looks like the "install wizard" still looks for the default storm RPM package (storm-0.9.1....).
My question is: Where are these RPM package names specified/configured in the system? Can
I change the configuration to use my own package, with different RPM file name?

Thanks,
-Tao

Mime
View raw message